<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Termine\TerminHinzufuegen;


class TerminHinzufuegenFormularUseCase extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminHinzufuegen\TerminHinzufuegenFormularUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSPLANUNG_MA;
  }

  public static function getToolSectionId()
  {
    return 378;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    if (!$this->isRechtAllowed('28.0.2')) {
      return false;
    }

    return true;
  }

  protected function getRechte4KursBearbeiten(): array
  {
    return \PasstKursZuKurstageAPI::getRechte4KursBearbeiten($this->getToolId(), $this->getUser());
  }
}